<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Javascript embed example</title>
        <script async src="script.js"></script> <!-- starts loading in background, executes when ready -->
        <script defer src="script.js"></script> <!-- starts loading in background, executes when DOM fully loaded -->
    </head>
    <body>
        <div id="wrapper">
            <div id="content">
                <h1>Javascript embed example</h1>
                <p>Very interresting website</p>
            </div>
        </div>
        <script>
            console.log("I'm executed directly in HTML");
        </script>
        <script src="script.js"></script> <!-- executed diredly here, put at end of file to maximize DOM-loading efficiency -->
    </body>
</html> 
